import { configureStore } from "@reduxjs/toolkit";
import authReducer from "../features/auth/authSlice";

const userId = localStorage.getItem("userId");
const name = localStorage.getItem("name");
const roles = JSON.parse(localStorage.getItem("roles") || "[]");
const token = localStorage.getItem("token");

const preloadedState = {
  auth: {
    userId,
    name,
    roles,
    token,
  },
};

export const store = configureStore({
  reducer: {
    auth: authReducer,
  },
  preloadedState,
});
